﻿@model dynamic
@{
    var DisabledRightPanel = Convert.ToBoolean(User.Claims.FirstOrDefault(c => c.Type == "DisabledRightPanel")?.Value);
}
<div class="dropdown mr-5">
    @if (!DisabledRightPanel)
    {
        <div class="topbar-item mr-5">
            <a class="btn btn-icon btn-text-primary btn-hover-light-primary btn-icon-mobile w-auto d-flex align-items-center btn-lg px-2" onclick='$("#ArcUploadModal").modal("show")' data-toggle="tooltip" data-original-title="Upload file here">
                <img class="h-20px w-20px rounded-sm" src="/images/ArcHive_Safe-regular.png" alt="">
                <span class="text-dark-50 font-weight-bolder d-md-inline ml-1 font-size-h6">
                    <span class="lap-primary-text">Arc</span><span class="lap-secondary-text">Hive</span>
                </span>
            </a>
        </div>
    }
    <div class="topbar-item" data-toggle="dropdown" data-offset="10px,0px" aria-expanded="false">
        <a class="btn btn-icon btn-icon-mobile w-auto d-flex align-items-center btn-lg px-2" id="riskarc-menu">
            <span class="symbol-light-success">
                <img class="rounded-sm h-25px" src="~/images/risk-arc-elements.png" alt="">
            </span>
        </a>
    </div>
    <div class="dropdown-menu p-0 m-0 dropdown-menu-anim-up dropdown-menu-sm dropdown-menu-left">
        <ul class="navi navi-hover py-4">
            <li class="navi-item" id="client-riskarc">
                <a href="javascript:" class="navi-link riskarc-link" data-type="client" data-action="client-riskarc-indepth,client-riskarc-express">
                    <span class="navi-text">@ViewData.Eval("ClientName")'s RiskArc</span>
                </a>
            </li>
            @if (ViewData.Eval("SpouseName") != null)
            {
                <li class="navi-item" id="spouse-riskarc">
                    <a href="javascript:" class="navi-link riskarc-link" data-type="spouse" data-action="spouse-riskarc-indepth,spouse-riskarc-express">
                        <span class="navi-text">@ViewData.Eval("SpouseName")'s RiskArc</span>
                    </a>
                </li>
            }
        </ul>
    </div>
</div>